Unable to start Confluence instance with latest version of Atlas Plugin SDK

Description

We are not able to start a Confluence instance with the atlas-run command using the latest version of Atlas Plugin SDK (8.0.16). A sample plugin project has been created using the atlas-create-confluence-plugin command, but the same error occurs for this project.
The issue has been reproduced on both macOS and Ubuntu.

Logs are found in the attachments.

 

Environment

ATLAS Version: 8.0.16
ATLAS Home: /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec
ATLAS Scripts: /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec/bin
ATLAS Maven Home: /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec/apache-maven-3.5.4
AMPS Version: 8.0.2
--------
[INFO] Project POM found
Executing: /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec/apache-maven-3.5.4/bin/mvn --version -gs /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec/apache-maven-3.5.4/conf/settings.xml
Apache Maven 3.5.4 (1edded0938998edf8bf061f1ceb3cfdeccf443fe; 2018-06-17T20:33:14+02:00)
Maven home: /usr/local/Cellar/atlassian-plugin-sdk/8.0.16/libexec/apache-maven-3.5.4
Java version: 1.8.0_265, vendor: AdoptOpenJDK, runtime: /Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/Contents/Home/jre
Default locale: en_GB, platform encoding: UTF-8
OS name: "mac os x", version: "10.15.5", arch: "x86_64", family: "mac"

Testing Notes

Add notes...

Activity

Show:
Magdalena Wieclawska
September 21, 2020, 9:47 AM

It is caused of bug in Confluence 6.14 which is default bundled version when creating plugin with atlas command. Workaround for that is to change version of Confluence to 6.13.15 or 7.0.1+ where the fix is available. You can do it by change both properties in pom.xml of the plugin:

<confluence.version>6.13.15</confluence.version><confluence.data.version>6.13.15</confluence.data.version>

and run atlas-clean before atlas-run

Meanwhile we are working on upgrade of Confluence in AMPS and atlassian-plugin-sdk.

Assignee

Unassigned

Reporter

Gustav Kofoed Clausen

Add-on Type

Server